R-api: Data Visualization and Analytics 
======

Plotly's scientific graphing libraries let you make and share interactive, publication-quality graphs
in your web browser. That means you can interface Plotly's online graphing tools with your desktop environment, 
easily sending or streaming data to your graphs in your web browser. 

You can both style with code and with our online interface. And Plotly also offers statistical tools for analalzing your data. 
And Plotly also makes it easy to post and share your data and graphs, together, publicly with a url or privately with your team.


Gallery Examples
-------------

Find these examples and the code used to create them [here](https://plot.ly/api)


  ![](https://f.cloud.github.com/assets/5034604/1587845/c6098d92-5242-11e3-816e-10d96a545efa.png "Example plots")


Documentation
-------------

Online documentation is available [here](https://plot.ly/api).

Examples and Background
--------

You can also use Plotly and IPython to make interactive graphs. 

- A [Plotly demo](http://nbviewer.ipython.org/7576511) on using the [Plotly graphing API](https://plot.ly/api/Python) to make interactive, collaborative, publication-quality graphs, explained more fully by this [talk](https://www.youtube.com/watch?v=zG8FYPFU9n4).

- A [Plotly tutorial](http://nbviewer.ipython.org/7628933) on using the [Plotly graphing API](https://plot.ly/api/Python) to graphs with multiple axes, subplots, and insets. 

- A [demonstration and tutorial](http://nbviewer.ipython.org/7551139) on making interactive graphs with [Plotly](https://plot.ly/) and Julia.

- [Plotly graphs in the Washington Post, embedded as an iframe](www.washingtonpost.com/blogs/wonkblog/wp/2013/06/14/do-low-taxes-on-the-rich-leave-the-middle-class-with-lower-wages/).


Use Cases
------------

- Stats, physics, and sciences, for stats, fits, and functions [beta distribution](https://plot.ly/~jackp/705/)

- Algebra, geometry, and calculus [Bessel Functions](https://plot.ly/~jackp/914/)

- Finance and business [Tesla and Apple Stock](https://plot.ly/~jackp/903/)

- Stock Data [Bitcoin Prices](https://plot.ly/~jackp/992/)

- Design [Barnsley Fern](https://plot.ly/~chris/403/)

- Makers [Stream and graph data from Arduino and Raspberry PI](https://plot.ly/~flann321/9/)

- Engineering [System Latency](https://plot.ly/~carmeloosh/84/)

- Academia and Journalism [City of New York & Boroughs Population](https://plot.ly/~Dreamshot/113/)

- Sports Journalism [Score Distribution Stats for NFL, NHL, MLB, and NBA](https://plot.ly/sdqlheatmaps)

Installation
------------

Follow easy installation instructions and choose your language [on the Plot.ly site](https://plot.ly/api/)

Development
-----------

Please submit any bugs you encounter to feedback@plot.ly. For dashboard uses, see [Plotly.js](https://plot.ly/developers)

Connecting
-----------

You can also connect with us on [Facebook](facebook.com/plotly), [Twitter](https://twitter.com/plotlygraphs), and [Google +](https://plus.google.com/+PlotLy)

Feedback
----------------------

"Plotly was key for getting NASA approval to launch a CubeSat for space exploration." 
-Professor Carl Brandon, Vermont Technical College

"Plotly is my absolute favorite way to communicate data and complex ideas to my readers." 
-Dylan Matthews, Columnist and Data Journalist, Washington Post

"I am using the Plotly Chrome App to teach high school students how scientists really analyze and present data. This app goes well beyond anything else we have been able to find."
-Dr. Michael Frank, 2011 Recipient, Presidential Award for Excellence in Mathematics and Science Teaching
